Bug 472931 - preupgrade doesn't have an easy way to use install media
preupgrade doesn't have an easy way to use install media
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-11-25 12:32 EST by James Antill
Modified: 2014-01-21 18:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-12-01 10:51:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description James Antill 2008-11-25 12:32:35 EST
Description of problem:
 If you download the install media for F10 and/or create a net-install mirror, preupgrade can't use any of the data there (because it uses Everything and install media uses Fedora).
 Having a way to automatically pickup the packages from a local repo. would be nice.
Comment 1 Will Woods 2008-12-01 10:51:57 EST
This is silly. If you already have install media, you can just use that to upgrade. If you haven't burned it yet, you can use the hdiso install method. 

The entire point of preupgrade is to *avoid* the need to download and burn the ISO. The process is identical beyond that.

Still. If you're dead-set on using the media, you can follow the section in the README that describes creating custom distribution entries in releases.txt, and use a url like file:///media/Fedora...

But I'm not adding UI support for this to preupgrade.

Note You need to log in before you can comment on or make changes to this bug.